/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Mixed Breeds
 */
public enum EnumCM_MixedBreeds {

	//CID 7486 Mixed Breeds
	MIXED_BREED_CAT("Mixed breed cat"),
	MIXED_BREED_GOAT("Mixed breed goat"),
	MIXED_BREED_DOG("Mixed breed dog"),
	MIXED_BREED_HORSE("Mixed breed horse"),
	MIXED_BREED_SHEEP("Mixed breed sheep"),
	MIXED_BREED_CHICKEN("Mixed breed chicken"),
	MIXED_BREED_CATTLE("Mixed breed cattle"),
	MIXED_BREED_PIG("Mixed breed pig");
	
	private String value;
	
	EnumCM_MixedBreeds(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
